
Redmine - Defect #16379

Undefined method `each' for nil:NilClass on search for watchers to add

2014-03-18 20:28 - Ricardo S

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Not selecting an user, when 'Searching for users to add' on a New Issue, and clicking on Add instead of Cancel results on the

following error on the logs:

undefined method `each' for nil:NilClass

app/views/watchers/append.js.erb:1:in `_app_views_watchers_append_js_erb__830604308_107476400'

 Looking and the WatchersController.append action one can see that the u d attribute fails to be initialized when no user is selected.

That seems to be cause.

Related issues:

Is duplicate of Redmine - Defect #14298: Error generated on 'search for watch... Closed

History

#1 - 2014-03-20 07:37 - Michael Esemplare

Duplicates #14298

#2 - 2014-03-21 01:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Indeed, fixed in r12985.

#3 - 2014-03-21 01:24 - Jean-Philippe Lang

- Is duplicate of Defect #14298: Error generated on 'search for watchers to add' after clicking add without selected users added
